### Enumeration

# Vips OperationFlags

#### Declaration

    flags Vips.OperationFlags

#### Description [src]

Flags we associate with an operation.

`VIPS_OPERATION_SEQUENTIAL` means that the operation works like `vips_conv()`: it can process images top-to-bottom with only small non-local references.

Every scan-line must be requested, you are not allowed to skip ahead, but as a special case, the very first request can be for a region not at the top of the image. In this case, the first part of the image will be read and discarded

Every scan-line must be requested, you are not allowed to skip ahead, but as a special case, the very first request can be for a region not at the top of the image. In this case, the first part of the image will be read and discarded

`VIPS_OPERATION_NOCACHE` means that the operation must not be cached by vips.

`VIPS_OPERATION_DEPRECATED` means this is an old operation kept in vips for compatibility only and should be hidden from users.

`VIPS_OPERATION_UNTRUSTED` means the operation depends on external libraries which have not been hardened against attack. It should probably not be used on untrusted input. Use `vips_block_untrusted_set()` to block all untrusted operations.

`VIPS_OPERATION_BLOCKED` means the operation is prevented from executing. Use `vips_operation_block_set()` to enable and disable groups of operations.

`VIPS_OPERATION_REVALIDATE` force the operation to run, updating the cache with the new value. This is used by eg. VipsForeignLoad to implement the “revalidate” argument.

#### Members

`VIPS_OPERATION_NONE`

  No flags.

  - Value: `0`
  - Available since: 8.0
`VIPS_OPERATION_SEQUENTIAL`

  Can work sequentially with a small buffer.

  - Value: `1`
  - Available since: 8.0
`VIPS_OPERATION_SEQUENTIAL_UNBUFFERED`

  Deprecated, use `VIPS_OPERATION_SEQUENTIAL` instead.

  - Value: `2`
  - Available since: 8.0
`VIPS_OPERATION_NOCACHE`

  Must not be cached.

  - Value: `4`
  - Available since: 8.0
`VIPS_OPERATION_DEPRECATED`

  A compatibility thing.

  - Value: `8`
  - Available since: 8.0
`VIPS_OPERATION_UNTRUSTED`

  Not hardened for untrusted input.

  - Value: `16`
  - Available since: 8.0
`VIPS_OPERATION_BLOCKED`

  Prevent this operation from running.

  - Value: `32`
  - Available since: 8.0
`VIPS_OPERATION_REVALIDATE`

  Force the operation to run.

  - Value: `64`
  - Available since: 8.0